
From: Mikael Pettersson <mikpe@user.it.uu.se>

Fix two array-of-incomplete-type errors from gcc4 in isicom.c.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/char/isicom.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/char/isicom.c~drivers-char-isicomc-gcc4-fix drivers/char/isicom.c
--- 25/drivers/char/isicom.c~drivers-char-isicomc-gcc4-fix	2005-03-15 22:18:08.000000000 -0800
+++ 25-akpm/drivers/char/isicom.c	2005-03-15 22:18:08.000000000 -0800
@@ -151,9 +151,6 @@ MODULE_DEVICE_TABLE(pci, isicom_pci_tbl)
 static int prev_card = 3;	/*	start servicing isi_card[0]	*/
 static struct tty_driver *isicom_normal;
 
-static struct isi_board isi_card[BOARD_COUNT];
-static struct isi_port  isi_ports[PORT_COUNT];
-
 static struct timer_list tx;
 static char re_schedule = 1;
 #ifdef ISICOM_DEBUG
@@ -210,6 +207,9 @@ struct	isi_port {
 	int			xmit_cnt;
 };
 
+static struct isi_board isi_card[BOARD_COUNT];
+static struct isi_port  isi_ports[PORT_COUNT];
+
 /*
  *	Locking functions for card level locking. We need to own both
  *	the kernel lock for the card and have the card in a position that
_
